php4 mysql4.1 → php5 mysql5

Pocket

お久しぶりです。5月病です。ということで旬はバージョン5!
サーバにインストールしているパッケージ(ソフト)の大きな更新が着ていたのか、
apt-get upgradeコマンドで更新しようとすると、100個近いソフトが競合して
インストールが止まる状態でした。
しょうがないので、手動でつぶしていくことに。
その過程で、このブログが動作する上でも必要な、PHPとMYSQL(とAPACHE)の
バージョンを思い切って、4から5にあげました!
最初文字化けしたのですが、
mysqlの設定ファイルであるmy.cnfに、
~省略~
[mysqld]
default-character-set = utf8
init-connect=SET NAMES utf8 #←この行を追加
~省略~
のように書くことで直りました。
上のオプションは以前MYSQL4時代に文字化け対策に書いたような気がするのですが、
どうやらオプションが変わったのか、どうか。
ともあれ、動いてよかった~~
重いのは相変わらずですが。こればかりはサーバ買わないと無理ですね。

Add a Comment

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です